Bug 8109 - sql:query maxRows=-5 does not throw an JspException
Summary: sql:query maxRows=-5 does not throw an JspException
Status: RESOLVED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: 1.0
Hardware: All other
: P3 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-15 14:55 UTC by Lance Andersen
Modified: 2004-11-16 19:05 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lance Andersen 2002-04-15 14:55:44 UTC
The current jstl spec indicates a JspException should be thrown  if maxRows <-1
for:

    <sql:query var="resultSet"
                 dataSource="${application.jstlDS}"
                 maxRows="-5" >
         <c:out value="${sqlProps.Select_Jstl_Tab1_By_Id_Query}" />
      </sql:query>
Comment 1 Justyna Horwat 2002-04-16 00:11:42 UTC
Fixed.